# $Revision: 1.14 $, $Date: 2008-03-13 21:07:46 $
Summary:	getty program for Linux framebuffer console
Summary(pl.UTF-8):	Program getty dla linuksowej konsoli z framebufferem
Name:		fbgetty
Version:	0.1.698
Release:	5
License:	GPL v2+
Group:		Applications/System
Source0:	http://projects.meuh.org/fbgetty/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	1705bc0f8f1e03fe50d324ba84ac4e56
Patch0:		%{name}-info.patch
URL:		http://projects.meuh.org/fbgetty/
BuildRequires:	automake
BuildRequires:	texinfo
Requires:	login
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fbgetty is a new getty program that supports fully capabilities of the
Linux console. For the moment it run only under Linux.

Features:
- extended issue display (escape codes, shell variables)
- framebuffer support (display logo) [not yet]
- refresh issue when VT is activated (time, user, uptime)
- display date/time according to locale
- display the output of any program
- include many files in issue

%description -l pl.UTF-8
fbgetty to nowy program getty w pełni obsługujący możliwości
linuksowej konsoli. Aktualnie działa tylko pod Linuksem.

Możliwości:
- wyświetlanie rozszerzonego issue (kody specjalne, zmienne powłoki)
- obsługa framebuffera (wyświetlanie logo) [jeszcze nie działa]
- odświeżanie przy aktywacji VT (czas, liczba użytkowników, uptime)
- wyświetlanie daty i czasu zgodnie z ustawieniami lokalnymi
- wyświetlanie wyjścia dowolnego programu
- dołączanie wielu plików do issue.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* config
CPPFLAGS="-Doffsetof=__builtin_offsetof"; export CPPFLAGS
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO docs/*.txt
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*
%{_infodir}/*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fbgetty.spec,v $
Revision 1.14  2008-03-13 21:07:46  arekm
- debian patch doesn't exist

Revision 1.13  2008-01-24 01:36:30  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.12  2007-11-21 15:20:39  blues
- rel.5

Revision 1.11  2007-06-10 16:30:48  arekm
- rel 4

Revision 1.10  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.8  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.7  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.6  2004/10/07 10:53:23  paszczus
- updated URL and Source0 adress

Revision 1.5  2004/01/20 22:10:10  qboosh
- refresh config.sub for amd64, release 2 for Ac

Revision 1.4  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.3  2003/05/26 16:24:57  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:47:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2002/11/01 17:08:35  qboosh
- new
